%define major 0
%define libname %mklibname %{name} %major
%define develname %mklibname %{name} -d

Summary:	xcb-util's xcb-cursor
Name:		xcb-util-cursor
Version:	0.1.3
Release:	%mkrel 1
Url:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
License:	MIT
Group:		System/X11
BuildRequires:	pkgconfig(xcb-image)
BuildRequires:	pkgconfig(xcb-render)
BuildRequires:	pkgconfig(xcb-renderutil)
BuildRequires:	pkgconfig(xorg-macros)

%description
This is the libXcursor port to XCB.

%package -n %{libname}
Summary: xcb-util-cursor library package
Group: System/X11

%description -n %{libname}
This is the libXcursor port to XCB.

%package -n %{develname}
Summary: xcb-util-cursor development files
Group: Development/C
Provides:  libxcb-util-cursor-devel = %{version}-%{release}
Provides:  xcb-util-cursor-devel = %{version}-%{release}
Requires:  %{libname} = %{version}-%{release}

%description -n %{develname}
This pakcage includes the development files required to build software against
%{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/libxcb-cursor.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog NEWS README
%{_includedir}/xcb/*.h
%{_libdir}/libxcb-cursor.so
%{_libdir}/pkgconfig/xcb-cursor.pc


%changelog
* Wed May 25 2016 luigiwalser <luigiwalser> 0.1.3-1.mga6
+ Revision: 1018507
- 0.1.3

* Fri Feb 12 2016 umeabot <umeabot> 0.1.2-2.mga6
+ Revision: 959204
- Mageia 6 Mass Rebuild

* Wed Sep 23 2015 fwang <fwang> 0.1.2-1.mga6
+ Revision: 882472
- 0.1.2

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-3.mga5
+ Revision: 741182
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-2.mga5
+ Revision: 690561
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 fwang <fwang> 0.1.1-1.mga5
+ Revision: 581682
- new version 0.1.1

* Tue Oct 22 2013 umeabot <umeabot> 0.1.0-3.mga4
+ Revision: 541519
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 tv <tv> 0.1.0-2.mga4
+ Revision: 496137
- fix description

  + fwang <fwang>
    - add br

* Sun Oct 13 2013 fwang <fwang> 0.1.0-1.mga4
+ Revision: 496117
- adjust br
- imported package xcb-util-cursor

